Requires:		perl
%if 0%{?suse_version}

%ifarch x86_64
BuildRequires:		openssl-devel-32bit
%else
BuildRequires:		openssl-devel
%endif

%else

BuildRequires:		openssl-devel

%endif

%define		vmperlver	2.3.2
%define		vmperlrel	39850

Name:			perl-VMware-VmPerlAPI
Version:		%{vmperlver}
Release:		39852.2
License:		VMware Inc.
Group:			Virtualization/VMware
Summary:		VMware Perl API for Linux
Source0:		VMware-VmPerlAPI-%{vmperlver}-%{vmperlrel}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}

%description
Perl on ESX 3.x, ESX Server 2.x, and GSX Server. To be used on a Linux client machine.

%prep
%setup -n vmware-api-distrib
tar -xf control.tar

%build
cd control-only
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
cd control-only
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%dir %{perl_vendorarch}/VMware
%dir %{perl_vendorarch}/VMware/VmPerl
%dir %{perl_vendorarch}/auto/VMware
%dir %{perl_vendorarch}/auto/VMware/Control
%dir %{perl_vendorarch}/auto/VMware/VmPerl
%{perl_vendorarch}/VMware/Control.pm
%{perl_vendorarch}/VMware/Control/Keycode.pm
%{perl_vendorarch}/VMware/Control/Profiler.pm
%{perl_vendorarch}/VMware/Control/Server.pm
%{perl_vendorarch}/VMware/Control/VM.pm
%{perl_vendorarch}/VMware/VmPerl.pm
%{perl_vendorarch}/VMware/VmPerl/ConnectParams.pm
%{perl_vendorarch}/VMware/VmPerl/Question.pm
%{perl_vendorarch}/VMware/VmPerl/Server.pm
%{perl_vendorarch}/VMware/VmPerl/VM.pm
%{perl_vendorarch}/auto/VMware/Control/Profiler/autosplit.ix
%{perl_vendorarch}/auto/VMware/Control/autosplit.ix
%{perl_vendorarch}/auto/VMware/VmPerl/VmPerl.bs
%{perl_vendorarch}/auto/VMware/VmPerl/VmPerl.so
%{perl_vendorarch}/auto/VMware/VmPerl/autosplit.ix
%{_mandir}/man3/VMware::VmPerl.3pm*
%{_mandir}/man3/VMware::VmPerl::ConnectParams.3pm*
%{_mandir}/man3/VMware::VmPerl::Question.3pm*
%{_mandir}/man3/VMware::VmPerl::Server.3pm*
%{_mandir}/man3/VMware::VmPerl::VM.3pm*
